Bug 1494138 - crashes in wayland/Xorg on vc4 with 4.13 with the Raspberry Pi
Summary: crashes in wayland/Xorg on vc4 with 4.13 with the Raspberry Pi
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: ARMTracker F27BetaBlocker
TreeView+ depends on / blocked
 
Reported: 2017-09-21 14:15 UTC by Peter Robinson
Modified: 2017-09-27 16:29 UTC (History)
27 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-27 16:29:52 UTC


Attachments (Terms of Use)
Boot log (100.43 KB, text/plain)
2017-09-26 12:10 UTC, František Zatloukal
no flags Details
drm crash log (3.23 KB, text/plain)
2017-09-26 12:12 UTC, František Zatloukal
no flags Details

Description Peter Robinson 2017-09-21 14:15:31 UTC
We're seeing a number of crashes in the Raspberry Pi when running graphical desktops in particular Workstation that regress the experience quite a bit over F-26/41.2.

Working with upstream there's a number of fixes that stabilise the situation. These landed into the Fedora kernel with git commit 886e8bd8, and into a build with kernel-4.13.3-300.fc27

[  383.027151] ------------[ cut here ]------------
[  383.032253] WARNING: CPU: 2 PID: 714 at drivers/gpu/drm/drm_atomic_helper.c:1682 drm_atomic_helper_commit_hw_done+0xb0/0xb8 [drm_kms_helper]
[  383.045070] Modules linked in: xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables sunrpc vfat fat vc4 snd_soc_core ac97_bus snd_pcm_dmaengine snd_seq smsc95xx snd_seq_device snd_pcm usbnet mii snd_timer snd soundcore drm_kms_helper drm fb_sys_fops crc32_ce syscopyarea sysfillrect sysimgblt brcmfmac brcmutil cfg80211 rfkill bcm2835_rng bcm2835_wdt leds_gpio
[  383.118053]  mmc_block sdhci_iproc sdhci_pltfm dwc2 udc_core sdhci pwm_bcm2835 i2c_bcm2835 bcm2835 bcm2835_dma phy_generic
[  383.129411] CPU: 2 PID: 714 Comm: gnome-shell Tainted: G        W       4.13.1-302.fc27.aarch64 #1
[  383.138519] Hardware name: raspberrypi rpi/rpi, BIOS 2017.09-rc2 08/25/2017
[  383.145604] task: ffff8000114ca700 task.stack: ffff800011b04000
[  383.151764] PC is at drm_atomic_helper_commit_hw_done+0xb0/0xb8 [drm_kms_helper]
[  383.159375] LR is at vc4_atomic_complete_commit+0x7c/0xd8 [vc4]
[  383.165401] pc : [] lr : [] pstate: 20400145
[  383.172924] sp : ffff800011b07b00
[  383.176304] x29: ffff800011b07b00 x28: ffff800011b07d80 
[  383.181735] x27: ffff800011759000 x26: 0000000000000018 
[  383.187163] x25: 0000000000000000 x24: 0000000000000000 
[  383.192595] x23: 0000000000000038 x22: ffff800011d6ba00 
[  383.198025] x21: ffff80000360ae00 x20: 0000000000000002 
[  383.203454] x19: ffff800011d6ba00 x18: 0000000000000020 
[  383.208881] x17: 0000000000001f07 x16: 0000000000000000 
[  383.214301] x15: ffff000008ad0648 x14: 000004d3000004b9 
[  383.219723] x13: 000004b3000004d3 x12: 000004b0000004b0 
[  383.225144] x11: 0000000000000820 x10: 000007d0000007b0 
[  383.230569] x9 : 0000082000000780 x8 : 0000003c00000000 
[  383.235998] x7 : 0000000000000000 x6 : 00000000000034c2 
[  383.241428] x5 : ffff80001158eb00 x4 : ffff00000b8b2114 
[  383.246860] x3 : ffff8000391ff000 x2 : ffff800011d6b970 
[  383.252289] x1 : ffff80003720f700 x0 : ffff8000391f9028 
[  383.257719] Call trace:
[  383.260221] Exception stack(0xffff800011b07920 to 0xffff800011b07a50)
[  383.266783] 7920: ffff800011d6ba00 0001000000000000 00000000021e4000 ffff000000e51fa8
[  383.274756] 7940: 0000000020400145 000000000000003d ffff8000114ca700 ffff8000391ff3e8
[  383.282727] 7960: ffff800011b079a0 ffff00000814a514 ffff8000114ca700 0000000000000001
[  383.290699] 7980: ffff000008ab0f2c ffff8000391ff3c0 ffff000000df4dd8 00000000000051bc
[  383.298667] 79a0: ffff800011b079d0 ffff00000814a5f8 0000000000000140 ffff8000391ff3d0
[  383.306637] 79c0: ffff800011b07a50 ffff000000ddb04c ffff8000391f9028 ffff80003720f700
[  383.314606] 79e0: ffff800011d6b970 ffff8000391ff000 ffff00000b8b2114 ffff80001158eb00
[  383.322575] 7a00: 00000000000034c2 0000000000000000 0000003c00000000 0000082000000780
[  383.330546] 7a20: 000007d0000007b0 0000000000000820 000004b0000004b0 000004b3000004d3
[  383.338513] 7a40: 000004d3000004b9 ffff000008ad0648
[  383.343618] [] drm_atomic_helper_commit_hw_done+0xb0/0xb8 [drm_kms_helper]
[  383.352294] [] vc4_atomic_complete_commit+0x7c/0xd8 [vc4]
[  383.359475] [] vc4_atomic_commit+0x150/0x1c8 [vc4]
[  383.366221] [] drm_atomic_commit+0x54/0x70 [drm]
[  383.372653] [] drm_atomic_helper_connector_dpms+0xe0/0x178 [drm_kms_helper]
[  383.381604] [] drm_mode_connector_set_obj_prop+0x48/0xa0 [drm]
[  383.389404] [] drm_mode_obj_set_property_ioctl+0x14c/0x190 [drm]
[  383.397364] [] drm_ioctl_kernel+0x70/0xe0 [drm]
[  383.403835] [] drm_ioctl+0x1b4/0x400 [drm]
[  383.409617] [] do_vfs_ioctl+0xb0/0x8d8
[  383.415037] [] SyS_ioctl+0x8c/0xa8
[  383.420105] [] el0_svc_naked+0x24/0x28
[  383.425521] ---[ end trace cc9dc8be96ef614d ]---
[  393.437717] [drm:drm_atomic_helper_commit_cleanup_done [drm_kms_helper]] *ERROR* [CRTC:66:crtc-2] flip_done timed out



[   52.354172] vc4_hdmi 3f902000.hdmi: vc4-hdmi-hifi <-> 3f902000.hdmi mapping ok
[   52.354206] vc4_hdmi 3f902000.hdmi: ASoC: no DMI vendor name!
[   52.363308] vc4-drm soc:gpu: bound 3f902000.hdmi (ops vc4_hdmi_ops [vc4])
[   52.363727] vc4-drm soc:gpu: bound 3f806000.vec (ops vc4_vec_ops [vc4])
[   52.363885] vc4-drm soc:gpu: bound 3f400000.hvs (ops vc4_hvs_ops [vc4])
[   52.364348] vc4-drm soc:gpu: bound 3f206000.pixelvalve (ops vc4_crtc_ops [vc4])
[   52.364763] vc4-drm soc:gpu: bound 3f207000.pixelvalve (ops vc4_crtc_ops [vc4])
[   52.365149] vc4-drm soc:gpu: bound 3f807000.pixelvalve (ops vc4_crtc_ops [vc4])
[   52.441958] vc4-drm soc:gpu: bound 3fc00000.v3d (ops vc4_v3d_ops [vc4])
[   52.441977] checking generic (3e314000 6d8c00) vs hw (0 ffffffff)
[   52.441983] fb: switching to vc4drmfb from simple
[   52.601810] Console: switching to colour dummy device 80x30
[   52.621136] [drm] Initialized vc4 0.0.0 20140616 for soc:gpu on minor 0
[   52.621293] [drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
[   52.621385] [drm] Driver supports precise vblank timestamp query.
[   53.692614] ------------[ cut here ]------------
[   53.692730] WARNING: CPU: 1 PID: 461 at drivers/gpu/drm/vc4/vc4_hdmi.c:658 vc4_hdmi_encoder_enable+0x21c/0xabc [vc4]
[   53.692736] Timeout waiting for VC4_HDMI_SCHEDULER_CONTROL_HDMI_ACTIVE
[   53.692741] Modules linked in: vc4(+) snd_soc_core ac97_bus snd_pcm_dmaengine snd_seq snd_seq_device snd_pcm hci_uart brcmfmac btbcm btqca brcmutil btintel snd_timer cfg80211 bluetooth snd soundcore drm_kms_helper ecdh_generic rfkill drm fb_sys_fops syscopyarea sysfillrect sysimgblt bcm2835_wdt bcm2835_thermal bcm2835_rng leds_gpio smsc95xx usbnet mii mmc_block sdhci_iproc sdhci_pltfm crc32_arm_ce dwc2 udc_core sdhci pwm_bcm2835 bcm2835 i2c_bcm2835 bcm2835_dma phy_generic
[   53.692950] CPU: 1 PID: 461 Comm: systemd-udevd Not tainted 4.13.2-300.fc27.armv7hl #1
[   53.692956] Hardware name: Generic DT based system
[   53.692989] [] (unwind_backtrace) from [] (show_stack+0x18/0x1c)
[   53.693007] [] (show_stack) from [] (dump_stack+0xa0/0xd8)
[   53.693024] [] (dump_stack) from [] (__warn+0xe4/0x104)
[   53.693039] [] (__warn) from [] (warn_slowpath_fmt+0x3c/0x4c)
[   53.693131] [] (warn_slowpath_fmt) from [] (vc4_hdmi_encoder_enable+0x21c/0xabc [vc4])
[   53.693346] [] (vc4_hdmi_encoder_enable [vc4]) from [] (drm_atomic_helper_commit_modeset_enables+0x158/0x180 [drm_kms_helper])
[   53.693552] [] (drm_atomic_helper_commit_modeset_enables [drm_kms_helper]) from [] (vc4_atomic_complete_commit+0x5c/0xbc [vc4])
[   53.693720] [] (vc4_atomic_complete_commit [vc4]) from [] (vc4_atomic_commit+0x180/0x190 [vc4])
[   53.693922] [] (vc4_atomic_commit [vc4]) from [] (restore_fbdev_mode+0x94/0x24c [drm_kms_helper])
[   53.694159] [] (restore_fbdev_mode [drm_kms_helper]) from [] (drm_fb_helper_restore_fbdev_mode_unlocked+0x38/0x70 [drm_kms_helper])
[   53.694398] [] (drm_fb_helper_restore_fbdev_mode_unlocked [drm_kms_helper]) from [] (drm_fb_helper_set_par+0x54/0x64 [drm_kms_helper])
[   53.694528] [] (drm_fb_helper_set_par [drm_kms_helper]) from [] (fbcon_init+0x2cc/0x454)
[   53.694548] [] (fbcon_init) from [] (visual_init+0xc8/0x118)
[   53.694563] [] (visual_init) from [] (do_bind_con_driver+0x26c/0x2dc)
[   53.694579] [] (do_bind_con_driver) from [] (do_take_over_console+0x174/0x1a8)
[   53.694595] [] (do_take_over_console) from [] (do_fbcon_takeover+0x58/0xc0)
[   53.694612] [] (do_fbcon_takeover) from [] (notifier_call_chain+0x84/0xb0)
[   53.694629] [] (notifier_call_chain) from [] (__blocking_notifier_call_chain+0x48/0x60)
[   53.694645] [] (__blocking_notifier_call_chain) from [] (blocking_notifier_call_chain+0x1c/0x24)
[   53.694660] [] (blocking_notifier_call_chain) from [] (register_framebuffer+0x234/0x278)
[   53.694788] [] (register_framebuffer) from [] (drm_fb_helper_initial_config+0x1c0/0x3a8 [drm_kms_helper])
[   53.695028] [] (drm_fb_helper_initial_config [drm_kms_helper]) from [] (drm_fbdev_cma_init_with_funcs+0xb8/0xf4 [drm_kms_helper])
[   53.695231] [] (drm_fbdev_cma_init_with_funcs [drm_kms_helper]) from [] (vc4_kms_load+0xd0/0x108 [vc4])
[   53.695398] [] (vc4_kms_load [vc4]) from [] (vc4_drm_bind+0xe4/0x128 [vc4])
[   53.695493] [] (vc4_drm_bind [vc4]) from [] (try_to_bring_up_master+0x1ec/0x254)
[   53.695512] [] (try_to_bring_up_master) from [] (component_master_add_with_match+0xc0/0xec)
[   53.695604] [] (component_master_add_with_match) from [] (vc4_platform_drm_probe+0x74/0xb0 [vc4])
[   53.695698] [] (vc4_platform_drm_probe [vc4]) from [] (platform_drv_probe+0x58/0xa4)
[   53.695714] [] (platform_drv_probe) from [] (driver_probe_device+0x28c/0x424)
[   53.695728] [] (driver_probe_device) from [] (__driver_attach+0x90/0x100)
[   53.695744] [] (__driver_attach) from [] (bus_for_each_dev+0x84/0x94)
[   53.695763] [] (bus_for_each_dev) from [] (bus_add_driver+0x1bc/0x234)
[   53.695779] [] (bus_add_driver) from [] (driver_register+0xa8/0xe8)
[   53.695794] [] (driver_register) from [] (do_one_initcall+0x130/0x158)
[   53.695812] [] (do_one_initcall) from [] (do_init_module+0x60/0x1dc)
[   53.695829] [] (do_init_module) from [] (load_module+0x2430/0x24d8)
[   53.695846] [] (load_module) from [] (SyS_finit_module+0xb0/0xc4)
[   53.695863] [] (SyS_finit_module) from [] (__sys_trace_return+0x0/0x10)
[   53.695911] ---[ end trace b2e9be4e1ce19770 ]---
[   53.695916] ------------[ cut here ]------------
[   53.696007] WARNING: CPU: 1 PID: 461 at drivers/gpu/drm/vc4/vc4_hdmi.c:677 vc4_hdmi_encoder_enable+0x904/0xabc [vc4]
[   53.696012] Modules linked in: vc4(+) snd_soc_core ac97_bus snd_pcm_dmaengine snd_seq snd_seq_device snd_pcm hci_uart brcmfmac btbcm btqca brcmutil btintel snd_timer cfg80211 bluetooth snd soundcore drm_kms_helper ecdh_generic rfkill drm fb_sys_fops syscopyarea sysfillrect sysimgblt bcm2835_wdt bcm2835_thermal bcm2835_rng leds_gpio smsc95xx usbnet mii mmc_block sdhci_iproc sdhci_pltfm crc32_arm_ce dwc2 udc_core sdhci pwm_bcm2835 bcm2835 i2c_bcm2835 bcm2835_dma phy_generic
[   53.696204] CPU: 1 PID: 461 Comm: systemd-udevd Tainted: G        W       4.13.2-300.fc27.armv7hl #1
[   53.696209] Hardware name: Generic DT based system
[   53.696228] [] (unwind_backtrace) from [] (show_stack+0x18/0x1c)
[   53.696243] [] (show_stack) from [] (dump_stack+0xa0/0xd8)
[   53.696259] [] (dump_stack) from [] (__warn+0xe4/0x104)
[   53.696272] [] (__warn) from [] (warn_slowpath_null+0x24/0x2c)
[   53.696363] [] (warn_slowpath_null) from [] (vc4_hdmi_encoder_enable+0x904/0xabc [vc4])
[   53.696565] [] (vc4_hdmi_encoder_enable [vc4]) from [] (drm_atomic_helper_commit_modeset_enables+0x158/0x180 [drm_kms_helper])
[   53.696767] [] (drm_atomic_helper_commit_modeset_enables [drm_kms_helper]) from [] (vc4_atomic_complete_commit+0x5c/0xbc [vc4])
[   53.696934] [] (vc4_atomic_complete_commit [vc4]) from [] (vc4_atomic_commit+0x180/0x190 [vc4])
[   53.697134] [] (vc4_atomic_commit [vc4]) from [] (restore_fbdev_mode+0x94/0x24c [drm_kms_helper])
[   53.697373] [] (restore_fbdev_mode [drm_kms_helper]) from [] (drm_fb_helper_restore_fbdev_mode_unlocked+0x38/0x70 [drm_kms_helper])
[   53.697610] [] (drm_fb_helper_restore_fbdev_mode_unlocked [drm_kms_helper]) from [] (drm_fb_helper_set_par+0x54/0x64 [drm_kms_helper])
[   53.697738] [] (drm_fb_helper_set_par [drm_kms_helper]) from [] (fbcon_init+0x2cc/0x454)
[   53.697754] [] (fbcon_init) from [] (visual_init+0xc8/0x118)
[   53.697768] [] (visual_init) from [] (do_bind_con_driver+0x26c/0x2dc)
[   53.697783] [] (do_bind_con_driver) from [] (do_take_over_console+0x174/0x1a8)
[   53.697799] [] (do_take_over_console) from [] (do_fbcon_takeover+0x58/0xc0)
[   53.697815] [] (do_fbcon_takeover) from [] (notifier_call_chain+0x84/0xb0)
[   53.697830] [] (notifier_call_chain) from [] (__blocking_notifier_call_chain+0x48/0x60)
[   53.697846] [] (__blocking_notifier_call_chain) from [] (blocking_notifier_call_chain+0x1c/0x24)
[   53.697861] [] (blocking_notifier_call_chain) from [] (register_framebuffer+0x234/0x278)
[   53.697985] [] (register_framebuffer) from [] (drm_fb_helper_initial_config+0x1c0/0x3a8 [drm_kms_helper])
[   53.698224] [] (drm_fb_helper_initial_config [drm_kms_helper]) from [] (drm_fbdev_cma_init_with_funcs+0xb8/0xf4 [drm_kms_helper])
[   53.698427] [] (drm_fbdev_cma_init_with_funcs [drm_kms_helper]) from [] (vc4_kms_load+0xd0/0x108 [vc4])
[   53.698594] [] (vc4_kms_load [vc4]) from [] (vc4_drm_bind+0xe4/0x128 [vc4])
[   53.698686] [] (vc4_drm_bind [vc4]) from [] (try_to_bring_up_master+0x1ec/0x254)
[   53.698703] [] (try_to_bring_up_master) from [] (component_master_add_with_match+0xc0/0xec)
[   53.698793] [] (component_master_add_with_match) from [] (vc4_platform_drm_probe+0x74/0xb0 [vc4])
[   53.698886] [] (vc4_platform_drm_probe [vc4]) from [] (platform_drv_probe+0x58/0xa4)
[   53.698901] [] (platform_drv_probe) from [] (driver_probe_device+0x28c/0x424)
[   53.698914] [] (driver_probe_device) from [] (__driver_attach+0x90/0x100)
[   53.698930] [] (__driver_attach) from [] (bus_for_each_dev+0x84/0x94)
[   53.698949] [] (bus_for_each_dev) from [] (bus_add_driver+0x1bc/0x234)
[   53.698965] [] (bus_add_driver) from [] (driver_register+0xa8/0xe8)
[   53.698979] [] (driver_register) from [] (do_one_initcall+0x130/0x158)
[   53.698995] [] (do_one_initcall) from [] (do_init_module+0x60/0x1dc)
[   53.699010] [] (do_init_module) from [] (load_module+0x2430/0x24d8)
[   53.699026] [] (load_module) from [] (SyS_finit_module+0xb0/0xc4)
[   53.699042] [] (SyS_finit_module) from [] (__sys_trace_return+0x0/0x10)
[   53.699085] ---[ end trace b2e9be4e1ce19771 ]---





[   53.750617] ------------[ cut here ]------------
[   53.750743] WARNING: CPU: 1 PID: 461 at drivers/gpu/drm/drm_atomic_helper.c:1236 drm_atomic_helper_wait_for_vblanks+0xe0/0x1f4 [drm_kms_helper]
[   53.750750] [CRTC:66:crtc-2] vblank wait timed out
[   53.750754] Modules linked in: vc4(+) snd_soc_core ac97_bus snd_pcm_dmaengine snd_seq snd_seq_device snd_pcm hci_uart brcmfmac btbcm btqca brcmutil btintel snd_timer cfg80211 bluetooth snd soundcore drm_kms_helper ecdh_generic rfkill drm fb_sys_fops syscopyarea sysfillrect sysimgblt bcm2835_wdt bcm2835_thermal bcm2835_rng leds_gpio smsc95xx usbnet mii mmc_block sdhci_iproc sdhci_pltfm crc32_arm_ce dwc2 udc_core sdhci pwm_bcm2835 bcm2835 i2c_bcm2835 bcm2835_dma phy_generic
[   53.750942] CPU: 1 PID: 461 Comm: systemd-udevd Tainted: G        W       4.13.2-300.fc27.armv7hl #1
[   53.750947] Hardware name: Generic DT based system
[   53.750966] [] (unwind_backtrace) from [] (show_stack+0x18/0x1c)
[   53.750981] [] (show_stack) from [] (dump_stack+0xa0/0xd8)
[   53.750996] [] (dump_stack) from [] (__warn+0xe4/0x104)
[   53.751009] [] (__warn) from [] (warn_slowpath_fmt+0x3c/0x4c)
[   53.751137] [] (warn_slowpath_fmt) from [] (drm_atomic_helper_wait_for_vblanks+0xe0/0x1f4 [drm_kms_helper])
[   53.751342] [] (drm_atomic_helper_wait_for_vblanks [drm_kms_helper]) from [] (vc4_atomic_complete_commit+0x7c/0xbc [vc4])
[   53.751510] [] (vc4_atomic_complete_commit [vc4]) from [] (vc4_atomic_commit+0x180/0x190 [vc4])
[   53.751711] [] (vc4_atomic_commit [vc4]) from [] (restore_fbdev_mode+0x94/0x24c [drm_kms_helper])
[   53.751953] [] (restore_fbdev_mode [drm_kms_helper]) from [] (drm_fb_helper_restore_fbdev_mode_unlocked+0x38/0x70 [drm_kms_helper])
[   53.752192] [] (drm_fb_helper_restore_fbdev_mode_unlocked [drm_kms_helper]) from [] (drm_fb_helper_set_par+0x54/0x64 [drm_kms_helper])
[   53.752320] [] (drm_fb_helper_set_par [drm_kms_helper]) from [] (fbcon_init+0x2cc/0x454)
[   53.752336] [] (fbcon_init) from [] (visual_init+0xc8/0x118)
[   53.752351] [] (visual_init) from [] (do_bind_con_driver+0x26c/0x2dc)
[   53.752366] [] (do_bind_con_driver) from [] (do_take_over_console+0x174/0x1a8)
[   53.752381] [] (do_take_over_console) from [] (do_fbcon_takeover+0x58/0xc0)
[   53.752397] [] (do_fbcon_takeover) from [] (notifier_call_chain+0x84/0xb0)
[   53.752413] [] (notifier_call_chain) from [] (__blocking_notifier_call_chain+0x48/0x60)
[   53.752429] [] (__blocking_notifier_call_chain) from [] (blocking_notifier_call_chain+0x1c/0x24)
[   53.752443] [] (blocking_notifier_call_chain) from [] (register_framebuffer+0x234/0x278)
[   53.752569] [] (register_framebuffer) from [] (drm_fb_helper_initial_config+0x1c0/0x3a8 [drm_kms_helper])
[   53.752807] [] (drm_fb_helper_initial_config [drm_kms_helper]) from [] (drm_fbdev_cma_init_with_funcs+0xb8/0xf4 [drm_kms_helper])
[   53.753008] [] (drm_fbdev_cma_init_with_funcs [drm_kms_helper]) from [] (vc4_kms_load+0xd0/0x108 [vc4])
[   53.753175] [] (vc4_kms_load [vc4]) from [] (vc4_drm_bind+0xe4/0x128 [vc4])
[   53.753268] [] (vc4_drm_bind [vc4]) from [] (try_to_bring_up_master+0x1ec/0x254)
[   53.753285] [] (try_to_bring_up_master) from [] (component_master_add_with_match+0xc0/0xec)
[   53.753376] [] (component_master_add_with_match) from [] (vc4_platform_drm_probe+0x74/0xb0 [vc4])
[   53.753469] [] (vc4_platform_drm_probe [vc4]) from [] (platform_drv_probe+0x58/0xa4)
[   53.753484] [] (platform_drv_probe) from [] (driver_probe_device+0x28c/0x424)
[   53.753498] [] (driver_probe_device) from [] (__driver_attach+0x90/0x100)
[   53.753513] [] (__driver_attach) from [] (bus_for_each_dev+0x84/0x94)
[   53.753531] [] (bus_for_each_dev) from [] (bus_add_driver+0x1bc/0x234)
[   53.753547] [] (bus_add_driver) from [] (driver_register+0xa8/0xe8)
[   53.753562] [] (driver_register) from [] (do_one_initcall+0x130/0x158)
[   53.753578] [] (do_one_initcall) from [] (do_init_module+0x60/0x1dc)
[   53.753593] [] (do_init_module) from [] (load_module+0x2430/0x24d8)
[   53.753609] [] (load_module) from [] (SyS_finit_module+0xb0/0xc4)
[   53.753626] [] (SyS_finit_module) from [] (__sys_trace_return+0x0/0x10)
[   53.753670] ---[ end trace b2e9be4e1ce19772 ]---
[   63.987758] [drm:drm_atomic_helper_commit_cleanup_done [drm_kms_helper]] *ERROR* [CRTC:66:crtc-2] flip_done timed out
[   63.987947] Console: switching to colour frame buffer device 240x75

Comment 1 Fedora Blocker Bugs Application 2017-09-21 14:21:38 UTC
Proposed as a Blocker for 27-beta by Fedora user pbrobinson using the blocker tracking app because:

 Raspberry Pi is an ARMv7 (and aarch64, but that arch isn't currently blocking) blocking device.

Comment 3 Kamil Páral 2017-09-21 18:07:58 UTC
Discussed during blocker review [1]:

AcceptedBlocker (beta) - This bug can prevent initial-setup to finish. This violates the Alpha criterion: "A working mechanism to create a user account must be clearly presented during installation and/or first boot of the installed system."

[1] https://meetbot-raw.fedoraproject.org/fedora-meeting-1/2017-09-21/

Comment 4 sumantro 2017-09-22 09:40:58 UTC
Finishes initial setup and boots into wayland with 4.13-300.

Comment 5 Kamil Páral 2017-09-22 09:48:06 UTC
Sumantro, please note that the previous kernel /occasionally/ crashed. The difference will be only visible after a longer time using it, I believe.

Comment 6 sumantro 2017-09-24 08:52:23 UTC
Kparal , I have used this for more than a day now , It doesnt crash . Maybe , I will test it for couple of ore days

Comment 7 František Zatloukal 2017-09-26 12:09:09 UTC
I've experienced crashes in drm during boot to DE (no graphical output).

kernel 4.13.3-300

Comment 8 František Zatloukal 2017-09-26 12:10:12 UTC
Created attachment 1331023 [details]
Boot log

Comment 9 František Zatloukal 2017-09-26 12:12:00 UTC
Created attachment 1331024 [details]
drm crash log

Comment 10 František Zatloukal 2017-09-26 12:59:53 UTC
Same issue happens with kernel-4.13.3-301.fc27 .

Comment 11 František Zatloukal 2017-09-26 14:18:08 UTC
I am not able to boot into DE. Video output stops working around:

[   57.087946] vc4-drm soc:gpu: bound 3f206000.pixelvalve (ops vc4_crtc_ops [vc4])
[   57.088274] vc4-drm soc:gpu: bound 3f207000.pixelvalve (ops vc4_crtc_ops [vc4])
[   57.088609] vc4-drm soc:gpu: bound 3f807000.pixelvalve (ops vc4_crtc_ops [vc4])
         Activating swap /dev/disk/by-uuid/5…63d-17e2-4f7c-9518-2bbc8e8b0bf1...
[   57.175147] vc4-drm soc:gpu: bound 3fc00000.v3d (ops vc4_v3d_ops [vc4])
[   57.175168] checking generic (3e8f1000 10a800) vs hw (0 ffffffff)
[   57.175178] fb: switching to vc4drmfb from simple
[   57.213103] Console: switching to colour dummy device 80x30
[   57.226446] [drm] Initialized vc4 0.0.0 20140616 for soc:gpu on minor 0
[   57.233374] [drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
[   57.240219] [drm] Driver supports precise vblank timestamp query.
[   57.314057] alloc_contig_range: [33100, 338e9) PFNs busy


Following with errors posted previously. Tested with https://kojipkgs.fedoraproject.org/compose/27/Fedora-27-20170925.0/compose/Spins/armhfp/images/Fedora-Xfce-armhfp-27_Beta-1.3-sda.raw.xz

Comment 12 Peter Robinson 2017-09-26 16:05:25 UTC
Please do NOT change the status of the bug not assigned to you

Comment 13 Peter Robinson 2017-09-26 16:08:39 UTC
František the crash you're seeing is completely unrelated to this bug, it's due to problematic monitors and is covered in RHBZ 1387733

Comment 14 František Zatloukal 2017-09-26 17:35:07 UTC
Ok, sorry for the noise here.

Comment 15 Kamil Páral 2017-09-27 07:58:14 UTC
Peter, we need some confirmation that this is fixed. Sumantro so far said he didn't see any errors, I'd like to see more. Can you please confirm the new kernel fixed this particular problem on your system? Especially since we can't confirm this on our hardware. Thanks.

(In reply to Peter Robinson from comment #12)
> Please do NOT change the status of the bug not assigned to you

I told Frantisek to change the status. It's a standard QA (and development) practice to switch the status back to assigned when the fix seems to be not working. I've never heard of the notion that status field can't be touched by someone else than the assignee. That would quite complicate QA processes.

Comment 16 Peter Robinson 2017-09-27 16:13:03 UTC
(In reply to Kamil Páral from comment #15)
> Peter, we need some confirmation that this is fixed. Sumantro so far said he
> didn't see any errors, I'd like to see more. Can you please confirm the new
> kernel fixed this particular problem on your system? Especially since we
> can't confirm this on our hardware. Thanks.

Yes, I can report/confirm that it fixes the problems I saw, I basically had confirmed that it fixed the problem when I requested it as a blocker.

> (In reply to Peter Robinson from comment #12)
> > Please do NOT change the status of the bug not assigned to you
> 
> I told Frantisek to change the status. It's a standard QA (and development)
> practice to switch the status back to assigned when the fix seems to be not
> working. I've never heard of the notion that status field can't be touched
> by someone else than the assignee. That would quite complicate QA processes.

The problem he reported was completely unrelated to this bug, it shouldn't be changed by the person until it is actually *confirmed* that it's related.

Comment 17 Kamil Páral 2017-09-27 16:28:50 UTC
(In reply to Peter Robinson from comment #16)
> Yes, I can report/confirm that it fixes the problems I saw, I basically had
> confirmed that it fixed the problem when I requested it as a blocker.

Thanks.

Comment 18 Kamil Páral 2017-09-27 16:29:52 UTC
Actually, the kernel is already stable, so closing this.


Note You need to log in before you can comment on or make changes to this bug.